# HostAlert

Host alerts management

## GET /v3/host/{hostId}/alert

> Get alerts defined for the given host

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostAlert","description":"Host alerts management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostAlert":{"type":"object","required":["id","percentage","sendMail","sendTicket","triggered","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Host alert ID","readOnly":true},"percentage":{"type":"integer","format":"integer","description":"At what percentage of bandwidth usage to trigger the alert"},"sendMail":{"type":"integer","format":"integer","description":"Will send an email notification when alert is triggered"},"sendTicket":{"type":"integer","format":"integer","description":"WIll create a ticket notification when alert is triggered"},"triggered":{"type":"integer","format":"integer","description":"UNIX timestamp of the last time the alert was triggered","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp of the time the alert was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/host/{hostId}/alert":{"get":{"tags":["HostAlert"],"summary":"Get alerts defined for the given host","operationId":"getHostAlerts","parameters":[{"name":"hostId","in":"path","description":"ID of the host to fetch alert for","required":true,"schema":{"type":"integer"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostAlert"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid host ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/host/{hostId}/alert

> Create alert for the host

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostAlert","description":"Host alerts management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostAlert":{"type":"object","required":["id","percentage","sendMail","sendTicket","triggered","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Host alert ID","readOnly":true},"percentage":{"type":"integer","format":"integer","description":"At what percentage of bandwidth usage to trigger the alert"},"sendMail":{"type":"integer","format":"integer","description":"Will send an email notification when alert is triggered"},"sendTicket":{"type":"integer","format":"integer","description":"WIll create a ticket notification when alert is triggered"},"triggered":{"type":"integer","format":"integer","description":"UNIX timestamp of the last time the alert was triggered","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp of the time the alert was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/host/{hostId}/alert":{"post":{"tags":["HostAlert"],"summary":"Create alert for the host","operationId":"createHostAlert","parameters":[{"name":"hostId","in":"path","description":"ID of the host to create an alert for","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HostAlert"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostAlert"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid host ID"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/host/{hostId}/alert/{hostAlertId}

> Update host alert

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostAlert","description":"Host alerts management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostAlert":{"type":"object","required":["id","percentage","sendMail","sendTicket","triggered","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Host alert ID","readOnly":true},"percentage":{"type":"integer","format":"integer","description":"At what percentage of bandwidth usage to trigger the alert"},"sendMail":{"type":"integer","format":"integer","description":"Will send an email notification when alert is triggered"},"sendTicket":{"type":"integer","format":"integer","description":"WIll create a ticket notification when alert is triggered"},"triggered":{"type":"integer","format":"integer","description":"UNIX timestamp of the last time the alert was triggered","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp of the time the alert was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/host/{hostId}/alert/{hostAlertId}":{"put":{"tags":["HostAlert"],"summary":"Update host alert","operationId":"updateHostAlert","parameters":[{"name":"hostId","in":"path","description":"ID of the host that the alert belongs to","required":true,"schema":{"type":"integer"}},{"name":"hostAlertId","in":"path","description":"ID of the host alert to update","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HostAlert"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostAlert"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid host ID or alert ID"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/host/{hostId}/alert/{hostAlertId}

> Delete host alert

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostAlert","description":"Host alerts management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/host/{hostId}/alert/{hostAlertId}":{"delete":{"tags":["HostAlert"],"summary":"Delete host alert","operationId":"deleteHostAlert","parameters":[{"name":"hostId","in":"path","description":"ID of the host that the alert belongs to","required":true,"schema":{"type":"integer"}},{"name":"hostAlertId","in":"path","description":"ID of the alert to delete","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid host ID or alert ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/host/{hostId}/network/rdns/{ipAddress}

> Set RDNS hostname for IP

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostAlert","description":"Host alerts management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"RDns":{"type":"object","required":["hostname","ip"],"properties":{"hostname":{"type":"string","format":"","description":"The hostname"},"ip":{"type":"string","format":"","description":"The corresponding ip for the host","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/host/{hostId}/network/rdns/{ipAddress}":{"put":{"tags":["HostAlert"],"summary":"Set RDNS hostname for IP","operationId":"updateHostNetworkRdn","parameters":[{"name":"hostId","in":"path","description":"ID of the host to which IP address belongs to","required":true,"schema":{"type":"integer"}},{"name":"ipAddress","in":"path","description":"IP address to set RDNS entry for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RDns"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid host ID or IP address"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/hostalert.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
